Package org.apache.tools.ant.taskdefs.optional.script

## Class ScriptDef.Attribute

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.script.ScriptDef.Attribute

- Enclosing class:
    ScriptDef

      public static class ScriptDef.Attribute
      extends java.lang.Object

  Class representing an attribute definition

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Attribute()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDefault​(java.lang.String defaultValue)` | Set the default value of this `ScriptDef.Attribute`.
    `void` | `setName​(java.lang.String name)` | Sets the attribute name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String name)

      Sets the attribute name.
      Parameters:
        `name` - the attribute name

    - #### setDefault

          public void setDefault​(java.lang.String defaultValue)

      Set the default value of this `ScriptDef.Attribute`.
      Parameters:
        `defaultValue` - `String`
      Since:
        Ant 1.10.13